<?php

    if (!defined('ABSPATH')) exit;

    $projects = $cc_api->projects();
    $connected = [];

    $query = 'SELECT * FROM ' . $cc_config['DATABASE_TABLE'];

    if ($cc_config['MULTISITE'] === true) {
        $query .= $wpdb->prepare(' WHERE site = %d', $cc_config['SITE']);
    }
    
    foreach ($wpdb->get_results($query) as $connect)
        $connected[$connect->uuid] = $connect->slug;

    include $cc_config['VIEWS_DIR'] . 'projects.php';